2019-10-23 02:24 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000027QElectroTechDiagram Editorpublic2009-09-12 12:10
Reporterscorpio810 
Assigned To 
PrioritynormalSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
Product Version0.2 
Target VersionFixed in Version0.21 
Summary0000027: FTBS on arm arch
Descriptionsources/borderinset.cpp: In member function 'void BorderInset::setColumnsHeaderHeight(const qreal&)':
sources/borderinset.cpp:354: error: no matching function for call to 'qBound(double, const float&, double)'
sources/borderinset.cpp: In member function 'void BorderInset::setRowsHeaderWidth(const qreal&)':
sources/borderinset.cpp:391: error: no matching function for call to 'qBound(double, const float&, double)'
sources/borderinset.cpp: In member function 'void BorderInset::setInsetHeight(const qreal&)':
sources/borderinset.cpp:418: error: no matching function for call to 'qMax(double, const float&)'
make[2]: *** [release/borderinset.o] Error 1
make[1]: *** [release] Error 2
make: *** [debian/stamp-makefile-build] Error 2
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0000045

scorpio810 (administrator)

Last edited: 2009-09-10 12:33

denis patch
http://scorpio810.blogdns.net/generation-debian/qelectrotech/patchs/04_fix_FTBFS_on_armel.diff

~0000046

xavier (reporter)

Cause : Utilisation conjointe du typedef qreal (= float sous ARM, double sur les autres architectures) et du type double, menant à des incompatibilités d'argument double vs float.

Solution : patch autorisant la compilation de QElectroTech :
http://download.tuxfamily.org/qet/temp/qelectrotech-arm.diff
+Notes

-Issue History
Date Modified Username Field Change
2009-09-08 15:45 scorpio810 New Issue
2009-09-10 12:32 scorpio810 Note Added: 0000045
2009-09-10 12:33 scorpio810 Note Edited: 0000045
2009-09-12 12:10 xavier Note Added: 0000046
2009-09-12 12:10 xavier Status new => closed
2009-09-12 12:10 xavier Resolution open => fixed
2009-09-12 12:10 xavier Fixed in Version => 0.21
2013-06-09 14:08 scorpio810 Category Éditeur de schémas => Diagram Editor
+Issue History